/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.bsvrz.dua.bastband.bastband.dvs.funclib;

/**
 * History:
 *
 * $Log: ResultDataChannel.java,v $
 * Revision 1.2  2007/07/25 13:02:05  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1  2007/07/04 11:42:10  Trier
 * Neuordnung
 *
 * Revision 1.1  2007/06/20 12:35:59  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1.1.1  2007/06/20 09:56:27  Trier
 * dvs alles
 *
 * Revision 1.2  2006/11/13 09:25:26  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1  2005/01/21 14:40:13  Trier
 * <Kein Kommentar eingegeben>
 *
 */

import java.util.Calendar;

import de.bsvrz.dav.daf.main.Dataset;
import de.bsvrz.dua.bastband.bastband.dvs.kex.datenaustausch.output.ChannelException;

/**
 * <p>
 * Ein ResultDataChannel repr&auml;sentiert eine Verbindung zu einem virtuellen
 * Ger&auml;t, dass in der Lage ist ResultData in irgendeiner Form zu
 * verarbeiten.
 *
 * Das Ger&auml;t kann u.a. eine Datei, ein Stream oder eine Softwareeinheit
 * sein.
 * </p>
 *
 * <p>
 * Ein ResulDataChannel wird in der Regel von einem {@link ResultDataProvider}
 * benutzt.
 * </p>
 *
 * @version 1.0
 */
public interface ResultDataChannel {

	/**
	 * F&uuml;hrt die entsprechenen Verarbeitungen der ResultData aus.
	 *
	 * @param rsArrayAtTime
	 *            ResultData[]
	 * @param calendar
	 *            Calendar
	 * @throws ChannelException
	 *             wenn beim Bearbeiten oder der Ausgabe ein Fehler auftritt.
	 */
	public void processRecord(Dataset[] rsArrayAtTime, Calendar calendar) throws ChannelException;

	/**
	 * schliesst den Channel.
	 *
	 * @throws ChannelException
	 *             wenn beim Bearbeiten oder der Ausgabe ein Fehler auftritt.
	 */
	public void close() throws ChannelException;

}
