/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package de.bsvrz.dua.bastband.bastband.dvs.funclib.datawrapper;

import de.bsvrz.dav.daf.main.Data;

/**
 * History:
 *
 * $Log: AtlStatusMessWertErsetzung.java,v $
 * Revision 1.1  2007/07/04 11:43:15  Trier
 * Neuordnung
 *
 * Revision 1.1.1.1  2007/06/20 09:56:26  Trier
 * dvs alles
 *
 * Revision 1.2  2005/01/25 09:43:11  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1.1.1  2004/03/23 13:14:18  Trier
 * Basis für LogosApps
 *
 * Revision 1.1.1.1  2004/03/23 07:59:52  Trier
 * vrz
 *
 */

/**
 * kapselt die AttributListe atl.statusMessWertErsetzung.
 */
public class AtlStatusMessWertErsetzung {

	private final Data instanceData;

	public static final String ATTR_NAME_IMPLAUSIBEL = "Implausibel";
	public static final String ATTR_NAME_INTERPOLIERT = "Interpoliert";

	public AtlStatusMessWertErsetzung(final Data data) {
		instanceData = data;
	}

	public boolean getImplausibel() {
		final int iJaNein = instanceData.getUnscaledValue("Implausibel").intValue();
		if (iJaNein == 1) {
			return true;
		} else {
			return false;
		}
	}

	public void setImplausibel(final boolean jaNein) {
		if (jaNein) {
			instanceData.getUnscaledValue("Implausibel").set(1);
		} else {
			instanceData.getUnscaledValue("Implausibel").set(0);
		}
	}

	public boolean getInterpoliert() {
		final int iJaNein = instanceData.getUnscaledValue("Interpoliert").intValue();
		if (iJaNein == 1) {
			return true;
		} else {
			return false;
		}
	}

	public void setInterpoliert(final boolean jaNein) {
		if (jaNein) {
			instanceData.getUnscaledValue("Interpoliert").set(1);
		} else {
			instanceData.getUnscaledValue("Interpoliert").set(0);
		}
	}

}
