/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.bsvrz.dua.bastband.bastband.funclib.logger;

/**
 * History:
 *
 * $Log: Logger.java,v $
 * Revision 1.2  2007/08/06 09:50:19  Trier
 * Änderung Log-System
 *
 * Revision 1.1.1.1  2007/06/14 08:37:53  Trier
 * Allgemeine Funktionsbibliothek
 *
 * Revision 1.10  2007/04/12 13:12:35  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.9  2007/03/20 13:48:08  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.8  2007/03/09 10:46:29  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.7  2007/03/09 07:34:05  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.6  2007/03/08 13:50:46  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.5  2007/03/08 13:39:36  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.4  2007/03/08 13:19:05  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.3  2007/03/08 12:49:34  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.2  2007/02/21 13:05:51  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1.1.1  2007/02/19 13:56:51  Trier
 * Datenbank Framework
 *
 *
 */

/**
 * <p>
 * Interface aller Log-Objekte, die durch eine konkrete {@link LoggerFactory}
 * zur Verf&uuml;gung gestellt werden.
 * </p>
 *
 * @author Ralf Trier
 */
public interface Logger {

	public enum Level {
		DEBUG, INFO, WARN, ERROR, FATAL
	}

	public abstract void finer(String format, Object... args);

	public abstract void finer(Object o);

	public abstract void finer(Object o, Exception e);

	public abstract void debug(String format, Object... args);

	public abstract void debug(Object o);

	public abstract void debug(Object o, Exception e);

	public abstract void warn(Object o);

	public abstract void warn(Object o, Exception e);

	public abstract void warn(String format, Object... args);

	public abstract void info(Object o);

	public abstract void info(String s, Exception e);

	public abstract void info(String format, Object... args);

	public abstract void error(String cause, Exception e);

	public abstract void error(Object cause);

	public abstract void error(String format, Object... args);

	public abstract void fatal(String cause, Exception e);

	public abstract void fatal(Object cause);

	public abstract void fatal(String format, Object... args);

	public abstract void setLevel(Logger.Level level);

	public abstract void setOutput(java.io.OutputStream out);

}
